Subject: Re: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Juanma Barranquero <[email-masked]>
Date: Sun, 22 Jan 2012 20:32:55 +0100

On Sun, Jan 22, 2012 at 19:12, Eli Zaretskii <[email-masked]> wrote:

> The message is logged by image_error that has this commentary:
>
>  /* Log error message with format string FORMAT and argument ARG.
>     Signaling an error, e.g. when an image cannot be loaded, is not a
>     good idea because this would interrupt redisplay, and the error
>     message display would lead to another redisplay.  This function
>     therefore simply displays a message.  */
>
> (That last "displays" should be "logs".)

Couldn't that simply set a warning in `delayed-warnings-list'? It
would cause a warning at post-command-hook time.

    Juanma